View Issue Details

IDProjectCategoryView StatusLast Update
0014350MediaMonkey (current)Synchronizationpublic2019-09-04 16:52
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version4.1.18 
Target Version4.1.18Fixed in Version4.1.18 
Summary0014350: Artwork getting added to users photos
DescriptionIt seems that in certain cases, when MMA syncs artwork, the artwork is appearing in the users gallery.

It seems that MMA's use of .nomedia can be improved. It's unclear exactly what is happening to me, but per users' reports, it is created once, but gets deleted in some cases (by MMA).

Repro steps at:
http://www.mediamonkey.com/forum/viewtopic.php?f=21&t=88266
TagsNo tags attached.
Fixed in build1851

Relationships

related to 0015923 closedLudek MediaMonkey 5 Google 'Gallery Go' contains MM Album Art 

Activities

marek

2017-09-05 20:45

developer   ~0048662

This looks like related to SD card encryption issues on Samsung devices. Log requested.

rusty

2017-09-11 18:07

administrator   ~0048701

I can't replicate this on a clean install to my Samsung device. But could it be that this occurs from a specific usecase such as usb sync to the device without running MMA first ?

rusty

2017-09-12 19:29

administrator   ~0048717

Note: a possible issue is that MMA is writing the artwork to a filename such as art.jpg instead of albumart.jpg (since Android only ignores albumart.jpg).

marek

2017-09-18 20:31

developer   ~0048778

It is something else. User does not sync artwork to media folders. We need log.

rusty

2017-09-18 22:19

administrator   ~0048781

Last edited: 2017-09-19 01:53

View 3 revisions

I'm able to replicate this by using the settings that the user described. i.e.

1 Clean install of MMA, run MMA
--> MMA Debug: 9H8WJK92RS
--> SD/MediaMonkey directory doesn't have an /artworks subdirectory
--> Internal/MediaMonkey/artworks contains .nomeda
 
2 Connect device to PC and configure sync profile for SD card:
 - Autosync list: Playlist - 'New downloads'
 - Enable: Delete tracks not on sync list
 - Enable: Auto-conversion for all tracks > 192kbps
 - Disable: 'Sync all Artwork to file folders'
 - Enable: 'Copy Artwork to file tags'
 - Disable: 'Only use the first Genre when multiple Genres exist'
3 Initiate USB Auto-sync (MMW debug log ~line 358)
--> As verified on device Explorer:
--> Tracks are copied to /Music without jpg files
--> SD/MediaMonkey/artworks/ contains various directories that contain .jpg files
--> Gallery app contains album artwork from SD/MediaMonkey/artworks/

4 Run MMA
--> Tracks appear as expected with artwork
--> MMA debug log: 2AK7Q3L98M
--> After running MMA, SD/MediaMnokey/artworks still doesn't contain .nomedia

MMW debuglog saved to ftp

Note: Tested with S5 mini / Android 6

marek

2017-09-19 07:23

developer   ~0048789

Actually MMW should write artworks to /Android/data/com.ventismedia.android.mediamonkey/files/artworks on SD card. That is the folder where MMA creates .nomedia. I have verified that the storageInfo.xml files are correctly set.

Ludek

2017-09-19 11:48

developer   ~0048790

Last edited: 2017-09-19 11:51

View 3 revisions

Note that this has always been the case for non-default profiles (when '[ ] Sync all artwork to file folders' is unchecked) and SD card is "write limited".

Fixed in MMW 4.1.18.1850
i.e. artwork is copied to /Android/data/com.ventismedia.android.mediamonkey/files/artworks
in such a case now.

rusty

2017-09-19 17:39

administrator   ~0048794

Last edited: 2017-09-19 17:53

View 2 revisions

Tested build 1850 and after step 3, Initiate USB Auto-sync, the problem remains es in build 1849. i.e. as verified on device Explorer:
--> Tracks are copied to /Music without jpg files
--> SD/MediaMonkey/artworks/ contains various directories that contain .jpg files
--> Gallery app contains album artwork from SD/MediaMonkey/artworks/

MMA debug log after step 4: IV9BEKK39L
MMW Log posted to ftp

Ludek

2017-09-19 21:58

developer   ~0048795

Last edited: 2017-09-19 22:02

View 3 revisions

OK, there was some misunderstanding of which location is used for 'write-limited' SD cards and in which cases.

Fixed in 1851.

i.e. for write-limited SD cards the
/Android/data/com.ventismedia.android.mediamonkey/files/artworks
location is always used (despite the folders approved to have access).

peke

2017-09-26 07:09

developer   ~0048842

Verified 1852